extends Area2D

var screenSize = Vector2.ZERO
# Called when the node enters the scene tree for the first time.

func pickup():
	$CollisionShape2D.set_deferred("disabled", true)
	var tw = create_tween().set_parallel().set_trans(Tween.TRANS_QUAD)
	tw.tween_property(self,"scale", scale * 3, 0.3)
	tw.tween_property(self,"modulate:a", 0, 0.3)
	await tw.finished
	queue_free()
# Called when the node enters the scene tree for the first time.
func _ready():
	pass


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass


func _on_power_up_timer_timeout():
	queue_free()
